import { http } from '@/utils/http'
import type { PageParams, PageResult } from '@/types/global'
import type { HotResult } from '@/types/hot'

type HotParams = PageParams & {
  // 推荐列表 Tab 项的 id, 默认查询全部 Tab 项的第 1 页数据
  subType?: string
}
/**
 * 获取热门推荐
 */
export const getHotRecommendAPI = (url: string, data: HotParams) => {
  return http<HotResult>({
    url,
    method: 'GET',
    data,
  })
}
