import { http } from '@/utils/http'

/**
 * 获取微信支付参数
 * @param data 订单Id
 */
export const getWechatPayParamsAPI = (data: { orderId: string }) => {
  return http<WechatMiniprogram.RequestPaymentOption>({
    url: '/pay/wxpay/miniapp',
    method: 'GET',
    data,
  })
}

/**
 * 模拟支付: 只在测试环境且待发货状态时生效
 * @param data 订单Id
 */
export const getMockPayParamsAPI = (data: { orderId: string }) => {
  return http({
    url: '/pay/mock',
    method: 'GET',
    data,
  })
}
